#include <bits/stdc++.h>
#define endl "\n"

using namespace std;

using ll = long long;

void solve()
{
    ll n,nm,nv,i,pamti;
    cin >> n;
    nm=1;
    nv=2*n;
    vector<ll>a(2*n);
    for(i=0;i<2*n;i++)
    {
        if(i%2)
        {
            a[i]=nm;
            nm++;
        }
        else
        {
            a[i]=nv;
            nv--;
        }
    }
    pamti=a[2*n-1];
    for(i=2*n-1;i>0;i--)
    {
        a[i]=a[i-1];
    }
    a[0]=pamti;
    for(i=0;i<n;i++)
    {
        cout << a[i] << " ";
    }
    cout << endl;
    for(i=0;i<n;i++)
    {
        cout << a[i+n] << " ";
    }

}



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t=1;
    //cin >> t;
    while(t--)
    {
        solve();
    }
}